import java.io.*;


class Matrix6
{
  public static void main(String args[]) throws IOException
  {
  //Eigen Value calculations using QL method
  double a[][]={{3,-1,0},{-1,2,-1},{-0,-1,3}};
  System.out.println("Original Matrix : ");
  System.out.println(Matrix.toString(a));
  System.out.println("eigen values and Eigen Vectors : \nEigen Value calculations using QL method(symetric matrices only");
  System.out.println(Matrix.toString(Matrix.eigenQL(a)));
  //Eigenvlue calculation
  complex c1[];
  int n=a.length;
  c1=new complex[n];
  c1=Matrix.eigenValueC(a);
  System.out.println("Complex Eigenvalue vector : \nEigen Value calculations using QR method");
  System.out.println(Matrix.toStringT(c1));
  }
}
